org.apache.felix.jaas.boot

## Class ProxyLoginModule

- java.lang.Object
- - org.apache.felix.jaas.boot.ProxyLoginModule

All Implemented Interfaces:
  LoginModule

    public class ProxyLoginModule
    extends Object
    implements LoginModule

### Nested Class Summary

Nested Classes
`static interface` `ProxyLoginModule.BootLoginModuleFactory` Factory interface to create LoginModule instance.

### Field Summary

Fields
`static String` `PROP_LOGIN_MODULE_FACTORY`

### Constructor Summary

Constructors
Constructor and Description
`ProxyLoginModule()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `abort()`
`boolean` `commit()`
`void` `initialize(Subject subject, CallbackHandler callbackHandler, Map<String,?> sharedState, Map<String,?> options)`
`boolean` `login()`
`boolean` `logout()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PROP_LOGIN_MODULE_FACTORY

    public static final String PROP_LOGIN_MODULE_FACTORY

See Also:
  Constant Field Values

### Constructor Detail

#### ProxyLoginModule

    public ProxyLoginModule()

### Method Detail

#### initialize

    public void initialize(Subject subject,
                           CallbackHandler callbackHandler,
                           Map<String,?> sharedState,
                           Map<String,?> options)

Specified by:
  `initialize` in interface `LoginModule`

#### login

    public boolean login()
                  throws LoginException

Specified by:
  `login` in interface `LoginModule`
Throws:
  `LoginException`

#### commit

    public boolean commit()
                   throws LoginException

Specified by:
  `commit` in interface `LoginModule`
Throws:
  `LoginException`

#### abort

    public boolean abort()
                  throws LoginException

Specified by:
  `abort` in interface `LoginModule`
Throws:
  `LoginException`

#### logout

    public boolean logout()
                   throws LoginException

Specified by:
  `logout` in interface `LoginModule`
Throws:
  `LoginException`